/** Minicomputer
 * industrial grade digital synthesizer
 * editorsoftware
 * Copyright 2007 Malte Steiner
 * This file is part of Minicomputer, which is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Minicomputer is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef syntheditor_h
#define syntheditor_h
// generated by Fast Light User Interface Designer (fluid) version 1.0107
#include "Memory.h"

#include <FL/Fl.H>
#include <FL/Fl_Double_Window.H>
#include <FL/Fl_Group.H>
#include <FL/Fl_Dial.H>
#include <FL/Fl_Roller.H>
#include <FL/Fl_Value_Output.H>
#include <FL/Fl_Value_Input.H>
#include <FL/Fl_Input_Choice.H>
#include <FL/Fl_Light_Button.H>
#include <FL/Fl_Menu_Button.H>
#include <FL/Fl_Box.H>
#include <FL/Fl_Button.H>
#include <FL/Fl_Tabs.H>

#include <FL/Fl_File_Chooser.H>
#include <FL/Fl_Choice.H>
#include <FL/Fl_Slider.H>
#include <FL/Fl_Input_Choice.H>
#include <FL/Fl_Counter.H>
#include <FL/Fl_Help_View.H>
#include <FL/Fl_Positioner.H>
#include <FL/Enumerations.H>
#include <FL/fl_draw.H>
//#include <FL/Fl_Chart.H>
// thanks to Leslie P. Polzer pointing me out to include cstring and more for gcc 4.3 onwards
#include <cstdio>
#include <cstdlib>
//#include <unistd.h>
#include <cstring>
#include <math.h>
#include <lo/lo.h>
#include <FL/Fl_Image.H>
#include "../common.h"
extern lo_address t;
extern Memory Speicher;

/*
class Fl_SteinerKnob:public Fl_Dial
{
	public:
	Fl_SteinerKnob(int x, int y, int w, int h, const char *label);//:Fl_Dial(x, y, w, h, label);
	int handle(int event);
	private:
	int altx;
};
*/
/** custom class for window, derieved from Fl_Double_Window
 *
 * \callgraph
 * \callergraph
 */
class Fenster:public Fl_Double_Window
{
	public:
	Fenster(int w, int h, const char* t);
	Fenster(int w, int h);
    	~Fenster();
	int handle (int event);
	
};

class UserInterface {
public:
  Fenster* make_window();
  void changeMulti(int pgm);
  void changeSound(int channel,int pgm);
  static Fl_Menu_Item menu_pitch[];
  static Fl_Menu_Item menu_pitch1[];
  Fl_Dial *f1cut1;
  Fl_Dial *f1q1;
  Fl_Dial *f1vol1;
  Fl_Dial *f1cut2;
  Fl_Dial *f1q2;
  Fl_Dial *f1vol2;
  Fl_Dial *f2cut1;
  Fl_Dial *f2q1;
  Fl_Dial *f2vol1;
  Fl_Dial *f2cut2;
  Fl_Dial *f2q2;
  Fl_Dial *f2vol2;
  Fl_Dial *f3cut1;
  Fl_Dial *f3q1;
  Fl_Dial *f3vol1;
  Fl_Dial *f3cut2;
  Fl_Dial *f3q2;
  Fl_Dial *f3vol2;
  
  static Fl_Menu_Item menu_morph[];
  static Fl_Menu_Item menu_amod[];
  static Fl_Menu_Item menu_fmod[];
  static Fl_Menu_Item menu_wave[];
  Fl_Input*  soundchoice[8];
 Fl_Input*  multichoice;
   private:
  string tablabel[9];
};
// the logo image
static unsigned char idata_miniMini[] =
{190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,189,218,255,189,218,255,
189,218,255,189,218,255,189,218,255,189,218,255,189,218,255,189,218,255,189,218,
255,189,218,255,189,218,255,189,218,255,189,218,255,189,218,255,189,218,255,189,
218,255,189,218,255,189,218,255,189,218,255,189,218,255,189,218,255,189,218,255,
189,218,255,189,218,255,189,218,255,189,218,255,189,218,255,189,218,255,189,218,
255,189,218,255,189,218,255,189,218,255,189,218,255,189,218,255,189,218,255,189,
218,255,189,218,255,189,218,255,189,218,255,189,218,255,189,218,255,189,218,255,
189,218,255,189,218,255,189,218,255,189,218,255,189,218,255,189,218,255,189,218,
255,189,218,255,189,218,255,189,218,255,189,218,255,189,218,255,189,218,255,189,
218,255,189,218,255,189,218,255,189,218,255,189,218,255,189,218,255,189,218,255,
189,218,255,189,218,255,189,218,255,189,218,255,189,218,255,189,218,255,189,218,
255,189,218,255,189,218,255,189,218,255,189,218,255,189,218,255,189,218,255,189,
218,255,189,218,255,189,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,189,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,189,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,189,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,189,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,189,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
191,218,255,192,219,255,193,220,254,194,220,254,197,222,254,201,224,255,205,226,
255,203,226,255,200,224,255,197,222,255,195,221,254,194,220,254,193,219,254,192,
219,255,191,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,189,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,191,218,255,195,221,
255,199,223,255,203,225,254,208,228,254,214,231,254,220,234,254,226,237,254,231,
240,253,236,243,252,240,245,251,240,243,248,234,237,241,237,240,244,239,243,248,
242,246,252,239,245,252,234,242,252,230,239,253,225,237,254,221,235,254,216,233,
254,213,231,255,209,228,254,206,226,254,202,224,254,199,223,255,195,220,255,192,
219,255,191,218,255,190,218,254,190,218,254,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,189,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,195,220,255,225,237,254,238,244,253,239,243,250,238,240,245,
237,238,241,236,236,236,227,227,227,214,214,215,202,202,203,191,191,191,180,180,
180,170,170,170,163,163,163,166,166,166,169,169,169,175,175,175,182,182,182,194,
194,194,203,203,203,212,212,212,222,222,223,230,230,230,234,234,235,235,237,238,
236,238,241,237,240,245,238,243,249,238,244,252,238,244,254,234,242,254,228,239,
254,220,234,254,198,222,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,189,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,200,223,
254,241,244,248,207,207,207,189,189,190,181,181,181,174,174,174,166,166,166,160,
160,160,156,156,156,155,155,155,153,153,153,151,151,151,149,149,149,148,148,148,
148,148,148,147,147,147,146,146,146,147,147,147,148,148,148,148,148,148,149,149,
149,151,151,151,152,152,152,157,157,157,165,165,165,173,173,173,182,182,182,191,
191,191,199,199,199,206,206,206,212,212,212,220,220,221,242,244,247,212,230,254,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,189,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,201,224,255,240,242,245,172,172,172,
156,156,156,157,157,157,157,157,157,157,157,157,159,159,159,159,159,159,160,160,
160,161,161,161,162,162,162,161,161,161,160,160,160,162,162,162,162,162,162,160,
160,160,159,159,159,158,158,158,157,157,157,158,158,158,160,160,160,162,162,162,
165,165,165,167,167,167,169,169,169,170,170,170,170,170,170,171,171,171,171,171,
171,173,173,173,182,182,182,235,236,238,212,230,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,189,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,201,224,255,239,242,245,170,170,170,155,155,155,157,157,157,157,
157,157,158,158,158,158,158,158,159,159,159,161,161,161,161,161,161,162,162,162,
162,162,162,163,163,163,164,164,164,165,165,165,165,165,165,165,165,165,166,166,
166,167,167,167,171,171,171,175,175,175,175,175,175,175,175,175,174,174,174,173,
173,173,173,173,173,173,173,173,172,172,172,171,171,171,170,170,170,179,179,179,
236,237,239,209,228,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,189,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,201,224,255,
239,241,244,169,169,169,156,156,156,157,157,157,157,157,157,158,158,158,159,159,
159,159,159,159,160,160,160,160,160,160,162,162,162,162,162,162,163,163,163,164,
164,164,163,163,163,164,164,164,166,166,166,167,167,167,168,168,168,172,172,172,
175,175,175,175,175,175,174,174,174,174,174,174,173,173,173,173,173,173,173,173,
173,171,171,171,171,171,171,170,170,170,179,179,179,236,238,240,207,227,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,189,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,202,225,255,238,240,243,168,168,168,154,
154,154,156,156,156,156,156,156,158,158,158,159,159,159,159,159,159,159,159,159,
160,160,160,162,162,162,162,162,162,163,163,163,164,164,164,163,163,163,165,165,
165,166,166,166,167,167,167,168,168,168,172,172,172,175,175,175,174,174,174,174,
174,174,174,174,174,173,173,173,172,172,172,172,172,172,171,171,171,171,171,171,
171,171,171,179,179,179,237,239,240,207,227,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
189,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,203,225,255,237,240,242,168,168,168,153,153,153,156,156,156,156,156,
156,156,156,156,158,158,158,158,158,158,159,159,159,160,160,160,162,162,162,162,
162,162,162,162,162,163,163,163,163,163,163,166,166,166,166,166,166,166,166,166,
168,168,168,171,171,171,175,175,175,175,175,175,174,174,174,174,174,174,173,173,
173,172,172,172,171,171,171,171,171,171,170,170,170,170,170,170,181,181,181,239,
241,243,205,226,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,189,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,203,225,255,237,
239,242,167,167,167,153,153,153,156,156,156,156,156,156,155,155,155,155,155,155,
157,157,157,158,158,158,159,159,159,161,161,161,161,161,161,161,161,161,163,163,
163,162,162,162,164,164,164,164,164,164,164,164,164,166,166,166,171,171,171,175,
175,175,175,175,175,174,174,174,174,174,174,173,173,173,173,173,173,172,172,172,
172,172,172,171,171,171,169,169,169,183,183,183,240,242,245,202,225,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,189,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,203,225,255,237,239,242,166,166,166,152,152,
152,154,154,154,154,154,154,155,155,155,156,156,156,158,158,158,157,157,157,159,
159,159,159,159,159,160,160,160,159,159,159,162,162,162,163,163,163,163,163,163,
165,165,165,165,165,165,165,165,165,171,171,171,174,174,174,174,174,174,174,174,
174,174,174,174,173,173,173,173,173,173,172,172,172,171,171,171,171,171,171,170,
170,170,185,185,185,239,241,245,201,224,254,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,189,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,203,225,255,237,239,242,166,166,166,152,152,152,153,153,153,155,155,155,
155,155,155,156,156,156,157,157,157,157,157,157,158,158,158,159,159,159,160,160,
160,161,161,161,161,161,161,162,162,162,162,162,162,165,165,165,165,165,165,166,
166,166,171,171,171,174,174,174,174,174,174,173,173,173,173,173,173,173,173,173,
172,172,172,171,171,171,171,171,171,171,171,171,170,170,170,186,186,186,239,241,
245,201,224,254,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,189,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,203,225,255,237,239,
242,166,166,166,151,151,151,152,152,152,154,154,154,155,155,155,156,156,156,157,
157,157,157,157,157,157,157,157,158,158,158,159,159,159,160,160,160,160,160,160,
162,162,162,162,162,162,164,164,164,164,164,164,166,166,166,171,171,171,174,174,
174,174,174,174,173,173,173,172,172,172,172,172,172,172,172,172,172,172,172,171,
171,171,170,170,170,170,170,170,188,188,188,238,241,245,201,224,254,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,189,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,203,225,255,237,239,242,166,166,166,150,150,150,
151,151,151,154,154,154,153,153,153,154,154,154,155,155,155,157,157,157,158,158,
158,158,158,158,159,159,159,159,159,159,160,160,160,162,162,162,161,161,161,163,
163,163,164,164,164,165,165,165,171,171,171,174,174,174,174,174,174,173,173,173,
172,172,172,172,172,172,172,172,172,171,171,171,171,171,171,170,170,170,170,170,
170,191,191,191,238,241,246,200,223,254,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,189,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,204,226,255,236,238,241,165,165,165,152,152,152,151,151,151,152,152,152,153,
153,153,153,153,153,153,153,153,156,156,156,157,157,157,158,158,158,159,159,159,
159,159,159,161,161,161,161,161,161,162,162,162,163,163,163,163,163,163,165,165,
165,171,171,171,174,174,174,173,173,173,173,173,173,172,172,172,172,172,172,171,
171,171,171,171,171,170,170,170,170,170,170,169,169,169,193,193,193,236,241,247,
198,222,254,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,189,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,205,226,255,235,237,240,
163,163,163,150,150,150,150,150,150,151,151,151,152,152,152,153,153,153,153,153,
153,156,156,156,156,156,156,158,158,158,158,158,158,159,159,159,160,160,160,161,
161,161,162,162,162,162,162,162,163,163,163,165,165,165,171,171,171,174,174,174,
174,174,174,173,173,173,172,172,172,171,171,171,171,171,171,171,171,171,170,170,
170,169,169,169,169,169,169,194,194,194,235,241,247,198,222,254,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,189,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,205,226,255,234,236,239,162,162,162,148,148,148,149,
149,149,151,151,151,151,151,151,152,152,152,153,153,153,156,156,156,156,156,156,
158,158,158,157,157,157,158,158,158,160,160,160,161,161,161,162,162,162,162,162,
162,163,163,163,164,164,164,170,170,170,174,174,174,173,173,173,173,173,173,172,
172,172,171,171,171,171,171,171,171,171,171,170,170,170,169,169,169,169,169,169,
194,194,194,235,240,247,198,222,254,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,189,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
205,226,255,234,236,239,161,161,161,148,148,148,149,149,149,151,151,151,151,151,
151,153,153,153,152,152,152,154,154,154,156,156,156,157,157,157,158,158,158,159,
159,159,160,160,160,160,160,160,161,161,161,161,161,161,162,162,162,162,162,162,
169,169,169,173,173,173,173,173,173,172,172,172,172,172,172,171,171,171,171,171,
171,171,171,171,170,170,170,169,169,169,168,168,168,196,196,196,235,240,248,197,
222,254,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,189,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,205,226,255,234,236,239,162,
162,162,149,149,149,150,150,150,151,151,151,150,150,150,152,152,152,154,154,154,
155,155,155,156,156,156,156,156,156,158,158,158,159,159,159,159,159,159,159,159,
159,161,161,161,162,162,162,163,163,163,163,163,163,169,169,169,173,173,173,173,
173,173,172,172,172,172,172,172,171,171,171,171,171,171,171,171,171,169,169,169,
169,169,169,168,168,168,200,200,200,234,241,250,196,221,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,189,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
191,218,255,194,220,255,197,222,254,199,223,254,198,222,254,194,220,255,191,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,205,227,255,234,236,239,162,162,162,148,148,148,149,149,
149,149,149,149,150,150,150,151,151,151,153,153,153,155,155,155,155,155,155,155,
155,155,156,156,156,157,157,157,159,159,159,160,160,160,161,161,161,162,162,162,
163,163,163,162,162,162,168,168,168,172,172,172,173,173,173,172,172,172,172,172,
172,171,171,171,171,171,171,170,170,170,169,169,169,169,169,169,168,168,168,202,
203,203,233,240,250,195,221,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,189,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,192,219,255,194,220,
254,196,221,254,203,225,255,210,229,255,218,233,254,226,238,254,232,241,253,234,
240,248,237,240,246,235,240,248,232,240,252,227,238,254,219,234,255,210,229,255,
202,224,255,196,221,254,194,220,255,191,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,205,
227,255,233,235,238,161,161,161,146,146,146,145,145,145,146,146,146,149,149,149,
151,151,151,152,152,152,152,152,152,152,152,152,155,155,155,156,156,156,157,157,
157,158,158,158,159,159,159,158,158,158,159,159,159,159,159,159,161,161,161,170,
170,170,173,173,173,172,172,172,172,172,172,172,172,172,171,171,171,171,171,171,
170,170,170,169,169,169,169,169,169,168,168,168,203,203,203,232,240,251,195,220,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,189,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,191,218,255,192,219,254,196,221,255,202,
224,255,208,228,254,216,232,254,224,236,254,231,240,253,237,243,251,240,244,249,
234,236,239,226,227,228,216,216,216,201,202,202,186,186,186,178,178,179,186,186,
186,200,200,200,211,211,211,224,225,226,234,236,239,241,244,249,238,244,251,231,
240,253,222,236,254,214,232,254,207,227,254,200,223,255,193,220,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,205,226,255,234,236,239,160,160,
160,145,145,145,145,145,145,147,147,147,149,149,149,149,149,149,151,151,151,152,
152,152,153,153,153,154,154,154,156,156,156,157,157,157,157,157,157,158,158,158,
158,158,158,159,159,159,159,159,159,162,162,162,170,170,170,173,173,173,173,173,
173,172,172,172,171,171,171,171,171,171,170,170,170,170,170,170,169,169,169,169,
169,169,169,169,169,205,205,205,232,240,251,194,220,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,189,218,255,190,218,255,191,218,255,195,221,255,198,223,255,204,226,254,
213,231,255,223,236,254,233,242,254,240,246,253,240,244,249,239,240,243,234,235,
236,224,224,224,209,209,209,192,192,192,177,177,177,166,166,166,158,158,158,150,
150,150,147,147,147,145,145,145,145,145,145,145,145,145,145,145,145,146,146,146,
154,154,154,161,161,161,170,170,170,187,187,187,208,209,209,224,225,225,235,235,
236,239,241,244,242,246,252,236,243,254,211,229,254,190,218,255,190,218,255,190,
218,255,190,218,255,205,226,255,233,236,238,158,158,158,144,144,144,146,146,146,
148,148,148,148,148,148,149,149,149,151,151,151,152,152,152,154,154,154,154,154,
154,156,156,156,155,155,155,155,155,155,159,159,159,160,160,160,160,160,160,160,
160,160,163,163,163,170,170,170,173,173,173,173,173,173,172,172,172,171,171,171,
170,170,170,170,170,170,170,170,170,169,169,169,169,169,169,169,169,169,208,208,
209,232,240,252,194,220,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,189,218,255,191,218,
255,211,230,254,234,242,253,237,242,248,240,242,245,235,236,237,223,223,225,210,
211,211,198,198,198,185,185,185,176,176,176,166,166,166,158,158,158,156,156,156,
154,154,154,153,153,153,152,152,152,151,151,151,151,151,151,151,151,151,150,150,
150,151,151,151,150,150,150,150,150,150,150,150,150,149,149,149,149,149,149,149,
149,149,150,150,150,151,151,151,154,154,154,165,165,165,179,179,179,192,192,192,
229,229,230,224,237,254,190,218,255,190,218,255,190,218,255,190,218,255,205,226,
255,233,236,238,158,158,158,144,144,144,145,145,145,146,146,146,147,147,147,147,
147,147,149,149,149,152,152,152,152,152,152,153,153,153,154,154,154,155,155,155,
157,157,157,157,157,157,160,160,160,160,160,160,160,160,160,162,162,162,170,170,
170,172,172,172,172,172,172,172,172,172,171,171,171,170,170,170,169,169,169,169,
169,169,169,169,169,168,168,168,168,168,168,212,212,212,230,240,253,192,219,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,189,218,255,192,219,255,226,237,254,234,234,234,
199,200,200,189,189,189,177,177,177,169,169,169,165,165,165,161,161,161,158,158,
158,158,158,158,157,157,157,157,157,157,157,157,157,157,157,157,156,156,156,156,
156,156,155,155,155,156,156,156,155,155,155,155,155,155,155,155,155,156,156,156,
156,156,156,158,158,158,159,159,159,159,159,159,161,161,161,161,161,161,161,161,
161,161,161,161,159,159,159,157,157,157,157,157,157,213,213,213,226,238,254,190,
218,255,190,218,255,190,218,255,190,218,255,205,226,255,233,236,238,157,158,158,
142,142,142,143,143,143,144,144,144,146,146,146,147,147,147,148,148,148,150,150,
150,150,150,150,152,152,152,153,153,153,154,154,154,156,156,156,156,156,156,158,
158,158,158,158,158,160,160,160,162,162,162,169,169,169,172,172,172,172,172,172,
171,171,171,171,171,171,170,170,170,169,169,169,169,169,169,169,169,169,168,168,
168,168,168,168,213,213,213,229,239,253,191,219,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,189,218,255,191,219,255,224,237,254,222,223,223,172,172,172,173,173,173,173,
173,173,173,173,173,172,172,172,170,170,170,168,168,168,166,166,166,165,165,165,
164,164,164,162,162,162,161,161,161,161,161,161,160,160,160,162,162,162,163,163,
163,163,163,163,165,165,165,166,166,166,168,168,168,168,168,168,170,170,170,168,
168,168,166,166,166,166,166,166,165,165,165,162,162,162,161,161,161,157,157,157,
155,155,155,156,156,156,212,212,212,226,238,254,190,218,255,190,218,255,190,218,
255,190,218,255,205,226,255,233,235,238,156,156,156,140,140,140,142,142,142,144,
144,144,146,146,146,146,146,146,147,147,147,150,150,150,150,150,150,151,151,151,
152,152,152,152,152,152,153,153,153,154,154,154,156,156,156,157,157,157,160,160,
160,163,163,163,170,170,170,172,172,172,171,171,171,170,170,170,170,170,170,170,
170,170,168,168,168,168,168,168,168,168,168,168,168,168,167,167,167,212,212,213,
229,239,253,191,219,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,189,218,255,191,218,255,
222,236,254,224,224,224,172,172,172,172,172,172,173,173,173,173,173,173,174,174,
174,175,175,175,175,175,175,176,176,176,176,176,176,175,175,175,174,174,174,171,
171,171,170,170,170,170,170,170,172,172,172,173,173,173,173,173,173,173,173,173,
172,172,172,171,171,171,171,171,171,170,170,170,169,169,169,168,168,168,166,166,
166,165,165,165,163,163,163,160,160,160,158,158,158,155,155,155,155,155,155,211,
211,212,227,239,254,190,218,255,190,218,255,190,218,255,190,218,255,205,227,255,
233,235,238,155,155,155,140,140,140,141,141,141,144,144,144,146,146,146,146,146,
146,149,149,149,150,150,150,151,151,151,152,152,152,153,153,153,152,152,152,153,
153,153,154,154,154,156,156,156,156,156,156,158,158,158,162,162,162,171,171,171,
172,172,172,171,171,171,170,170,170,170,170,170,170,170,170,169,169,169,168,168,
168,168,168,168,168,168,168,167,167,167,216,216,216,229,239,254,191,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,189,218,255,191,218,255,221,235,254,225,225,225,172,
172,172,172,172,172,173,173,173,173,173,173,174,174,174,175,175,175,176,176,176,
176,176,176,176,176,176,177,177,177,178,178,178,178,178,178,177,177,177,175,175,
175,175,175,175,174,174,174,174,174,174,173,173,173,171,171,171,171,171,171,170,
170,170,169,169,169,168,168,168,167,167,167,165,165,165,165,165,165,162,162,162,
160,160,160,159,159,159,155,155,155,153,153,153,208,208,208,228,239,255,190,218,
255,190,218,255,190,218,255,190,218,255,205,227,255,233,235,238,153,153,154,139,
139,139,141,141,141,144,144,144,145,145,145,146,146,146,149,149,149,150,150,150,
151,151,151,153,153,153,152,152,152,152,152,152,153,153,153,155,155,155,155,155,
155,156,156,156,157,157,157,160,160,160,170,170,170,171,171,171,171,171,171,171,
171,171,170,170,170,169,169,169,169,169,169,169,169,169,168,168,168,168,168,168,
169,169,169,219,219,219,226,238,254,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
189,218,255,190,218,255,221,235,254,227,227,227,172,172,172,171,171,171,172,172,
172,173,173,173,173,173,173,175,175,175,176,176,176,175,175,175,176,176,176,178,
178,178,178,178,178,179,179,179,178,178,178,177,177,177,175,175,175,175,175,175,
174,174,174,173,173,173,172,172,172,171,171,171,170,170,170,169,169,169,167,167,
167,166,166,166,165,165,165,164,164,164,162,162,162,159,159,159,158,158,158,154,
154,154,153,153,153,209,209,209,228,239,255,190,218,255,190,218,255,190,218,255,
190,218,255,205,227,255,231,233,236,146,146,146,133,133,133,137,137,137,141,141,
141,143,143,143,146,146,146,147,147,147,147,147,147,150,150,150,151,151,151,150,
150,150,150,150,150,152,152,152,155,155,155,155,155,155,155,155,155,157,157,157,
161,161,161,169,169,169,171,171,171,171,171,171,170,170,170,170,170,170,169,169,
169,169,169,169,168,168,168,167,167,167,167,167,167,169,169,169,220,220,221,224,
237,254,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,189,218,255,190,218,255,219,
234,254,230,230,230,172,172,172,171,171,171,172,172,172,173,173,173,173,173,173,
175,175,175,175,175,175,175,175,175,177,177,177,177,177,177,177,177,177,178,178,
178,178,178,178,177,177,177,175,175,175,174,174,174,174,174,174,173,173,173,171,
171,171,170,170,170,169,169,169,169,169,169,168,168,168,165,165,165,165,165,165,
164,164,164,163,163,163,160,160,160,158,158,158,155,155,155,153,153,153,209,209,
209,228,239,255,190,218,255,190,218,255,190,218,255,190,218,255,205,227,255,228,
230,233,128,128,128,112,112,112,123,123,123,139,139,139,143,143,143,144,144,144,
145,145,145,147,147,147,150,150,150,151,151,151,150,150,150,150,150,150,152,152,
152,154,154,154,156,156,156,155,155,155,157,157,157,162,162,162,169,169,169,171,
171,171,171,171,171,170,170,170,169,169,169,169,169,169,169,169,169,168,168,168,
167,167,167,166,166,166,168,168,168,220,221,221,223,236,254,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,189,218,255,190,218,255,218,233,255,231,231,232,174,174,
174,171,171,171,172,172,172,172,172,172,172,172,172,174,174,174,175,175,175,175,
175,175,176,176,176,176,176,176,177,177,177,178,178,178,177,177,177,176,176,176,
175,175,175,174,174,174,174,174,174,175,175,175,172,172,172,171,171,171,169,169,
169,168,168,168,168,168,168,167,167,167,165,165,165,163,163,163,162,162,162,160,
160,160,159,159,159,156,156,156,154,154,154,209,209,209,228,239,255,190,218,255,
190,218,255,190,218,255,190,218,255,206,227,255,226,228,231,116,116,116,98,98,
98,115,115,115,138,138,138,143,143,143,147,147,147,175,175,175,189,189,189,180,
180,180,168,168,168,160,160,160,156,156,156,154,154,154,154,154,154,154,154,154,
155,155,155,156,156,156,161,161,161,168,168,168,171,171,171,171,171,171,170,170,
170,169,169,169,169,169,169,168,168,168,168,168,168,168,168,168,167,167,167,170,
170,170,222,222,223,223,236,254,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,189,
218,255,190,218,255,216,233,254,231,232,232,175,175,175,171,171,171,172,172,172,
172,172,172,172,172,172,174,174,174,174,174,174,175,175,175,176,176,176,175,175,
175,177,177,177,178,178,178,178,178,178,176,176,176,175,175,175,174,174,174,174,
174,174,175,175,175,173,173,173,171,171,171,169,169,169,168,168,168,168,168,168,
167,167,167,164,164,164,162,162,162,161,161,161,160,160,160,158,158,158,156,156,
156,154,154,154,209,209,209,228,239,255,190,218,255,190,218,255,190,218,255,190,
218,255,207,227,255,223,226,228,113,113,113,95,95,95,112,112,112,134,134,134,
142,142,142,165,165,165,228,228,228,237,237,237,237,237,237,236,236,236,227,227,
227,213,213,213,200,200,200,189,189,189,175,175,175,164,164,164,160,160,160,162,
162,162,169,169,169,170,170,170,170,170,170,169,169,169,169,169,169,169,169,169,
168,168,168,167,167,167,168,168,168,167,167,167,171,171,171,224,224,225,221,235,
254,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,189,218,255,190,218,255,216,232,
254,232,232,233,175,175,175,170,170,170,171,171,171,173,173,173,172,172,172,173,
173,173,173,173,173,174,174,174,176,176,176,176,176,176,177,177,177,177,177,177,
178,178,178,176,176,176,174,174,174,174,174,174,174,174,174,173,173,173,171,171,
171,170,170,170,169,169,169,168,168,168,167,167,167,165,165,165,163,163,163,162,
162,162,161,161,161,159,159,159,156,156,156,154,154,154,153,153,153,210,210,210,
228,239,255,190,218,255,190,218,255,190,218,255,190,218,255,207,228,255,222,224,
227,113,113,113,95,95,95,110,110,110,133,133,133,142,142,142,176,176,176,235,
235,235,208,208,208,204,204,204,211,211,211,221,221,221,230,230,230,239,239,239,
242,242,242,239,239,239,233,233,233,223,223,223,206,206,206,194,194,194,186,186,
186,177,177,177,170,170,170,168,168,168,168,168,168,167,167,167,167,167,167,167,
167,167,167,167,167,172,172,172,225,226,228,218,233,254,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,189,218,255,190,218,255,215,232,254,233,233,234,176,176,176,
170,170,170,170,170,170,172,172,172,172,172,172,173,173,173,173,173,173,175,175,
175,176,176,176,176,176,176,177,177,177,177,177,177,178,178,178,176,176,176,174,
174,174,174,174,174,173,173,173,171,171,171,169,169,169,170,170,170,169,169,169,
168,168,168,166,166,166,166,166,166,164,164,164,162,162,162,161,161,161,160,160,
160,158,158,158,155,155,155,152,152,152,210,210,210,228,239,255,190,218,255,190,
218,255,190,218,255,190,218,255,207,228,255,222,224,227,114,114,114,95,95,95,
112,112,112,134,134,134,143,143,143,186,186,186,232,232,232,199,199,199,194,194,
194,196,196,196,198,198,198,198,198,198,201,201,201,206,206,206,215,215,215,226,
226,226,236,236,236,232,232,232,238,238,238,238,238,238,230,230,230,222,222,222,
212,212,212,196,196,196,178,178,178,167,167,167,167,167,167,167,167,167,173,173,
173,226,227,229,216,233,254,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,189,218,
255,190,218,255,213,230,254,234,235,237,178,178,178,169,169,169,169,169,169,171,
171,171,172,172,172,172,172,172,173,173,173,174,174,174,174,174,174,174,174,174,
175,175,175,175,175,175,176,176,176,175,175,175,175,175,175,175,175,175,173,173,
173,172,172,172,170,170,170,170,170,170,169,169,169,168,168,168,166,166,166,165,
165,165,164,164,164,163,163,163,161,161,161,160,160,160,158,158,158,156,156,156,
153,153,153,209,209,209,228,239,255,190,218,255,190,218,255,190,218,255,190,218,
255,207,228,255,222,225,227,114,114,114,95,95,95,113,113,113,137,137,137,144,
144,144,195,195,195,229,229,229,196,196,196,193,193,193,193,193,193,194,194,194,
195,195,195,196,196,196,196,196,196,198,198,198,207,207,207,212,212,212,187,187,
187,188,188,188,196,196,196,207,207,207,218,218,218,226,226,226,234,234,234,216,
216,216,172,172,172,166,166,166,166,166,166,173,173,173,226,228,229,216,232,254,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,189,218,255,190,218,255,210,229,254,
234,236,238,180,180,180,169,169,169,169,169,169,171,171,171,172,172,172,173,173,
173,173,173,173,173,173,173,173,173,173,174,174,174,174,174,174,176,176,176,175,
175,175,174,174,174,174,174,174,174,174,174,173,173,173,171,171,171,171,171,171,
171,171,171,169,169,169,167,167,167,166,166,166,165,165,165,164,164,164,163,163,
163,161,161,161,160,160,160,157,157,157,155,155,155,153,153,153,210,210,210,228,
239,255,190,218,255,190,218,255,190,218,255,190,218,255,207,228,255,223,225,227,
115,115,115,96,96,96,113,113,113,134,134,134,144,144,144,205,205,205,225,225,
225,190,190,190,189,189,189,190,190,190,190,190,190,192,192,192,193,193,193,194,
194,194,194,194,194,205,205,205,204,204,204,176,176,176,174,174,174,173,173,173,
174,174,174,176,176,176,181,181,181,210,210,210,230,230,230,176,176,176,167,167,
167,166,166,166,173,173,173,227,229,230,215,232,254,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,189,218,255,190,218,255,209,229,254,234,236,238,180,180,180,169,
169,169,170,170,170,171,171,171,172,172,172,173,173,173,173,173,173,173,173,173,
174,174,174,174,174,174,174,174,174,175,175,175,176,176,176,175,175,175,174,174,
174,174,174,174,172,172,172,171,171,171,171,171,171,170,170,170,169,169,169,167,
167,167,166,166,166,165,165,165,163,163,163,162,162,162,160,160,160,159,159,159,
158,158,158,156,156,156,154,154,154,209,209,209,228,239,255,190,218,255,190,218,
255,190,218,255,190,218,255,207,228,255,222,225,227,114,114,114,96,96,96,112,
112,112,134,134,134,145,145,145,212,212,212,220,220,220,183,183,183,183,183,183,
185,185,185,185,185,185,186,186,186,187,187,187,190,190,190,191,191,191,202,202,
202,195,195,195,171,171,171,171,171,171,170,170,170,171,171,171,173,173,173,174,
174,174,207,207,207,228,228,228,171,171,171,166,166,166,165,165,165,174,174,174,
230,231,234,213,231,254,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,189,218,255,
190,218,255,209,228,254,234,236,239,180,180,180,168,168,168,169,169,169,171,171,
171,171,171,171,172,172,172,172,172,172,172,172,172,173,173,173,173,173,173,174,
174,174,175,175,175,177,177,177,175,175,175,174,174,174,174,174,174,172,172,172,
172,172,172,171,171,171,169,169,169,168,168,168,168,168,168,167,167,167,164,164,
164,163,163,163,162,162,162,161,161,161,159,159,159,158,158,158,156,156,156,154,
154,154,209,209,209,228,239,255,190,218,255,190,218,255,190,218,255,190,218,255,
208,228,255,223,225,227,116,116,116,97,97,97,113,113,113,137,137,137,149,149,
149,219,219,219,212,212,212,178,178,178,179,179,179,181,181,181,181,181,181,181,
181,181,183,183,183,185,185,185,187,187,187,198,198,198,187,187,187,166,166,166,
166,166,166,165,165,165,167,167,167,168,168,168,170,170,170,211,211,211,224,224,
224,168,168,168,165,165,165,165,165,165,176,176,176,232,234,237,210,229,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,189,218,255,190,218,255,208,228,254,236,
238,241,183,183,183,168,168,168,169,169,169,170,170,170,170,170,170,170,170,170,
171,171,171,172,172,172,173,173,173,173,173,173,173,173,173,174,174,174,177,177,
177,176,176,176,175,175,175,174,174,174,172,172,172,173,173,173,171,171,171,169,
169,169,167,167,167,167,167,167,167,167,167,164,164,164,163,163,163,162,162,162,
160,160,160,159,159,159,157,157,157,155,155,155,155,155,155,210,210,210,228,239,
255,190,218,255,190,218,255,190,218,255,190,218,255,209,228,255,231,233,235,157,
158,158,122,122,122,124,124,124,141,141,141,154,154,154,223,223,223,202,202,202,
173,173,173,174,174,174,175,175,175,177,177,177,178,178,178,181,181,181,181,181,
181,183,183,183,196,196,196,180,180,180,161,161,161,161,161,161,160,160,160,162,
162,162,164,164,164,171,171,171,216,216,216,216,216,216,167,167,167,165,165,165,
165,165,165,176,176,176,233,235,238,209,228,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,189,218,255,190,218,255,205,226,255,237,240,244,184,184,185,168,168,
168,169,169,169,169,169,169,170,170,170,171,171,171,171,171,171,172,172,172,173,
173,173,173,173,173,173,173,173,174,174,174,176,176,176,175,175,175,174,174,174,
172,172,172,172,172,172,173,173,173,170,170,170,169,169,169,168,168,168,167,167,
167,166,166,166,164,164,164,163,163,163,163,163,163,161,161,161,159,159,159,158,
158,158,156,156,156,154,154,154,209,209,209,228,239,255,190,218,255,190,218,255,
190,218,255,190,218,255,202,224,254,234,242,253,238,241,245,226,227,228,215,215,
215,196,196,196,188,188,188,227,227,227,191,191,191,166,166,166,168,168,168,169,
169,169,170,170,170,173,173,173,175,175,175,177,177,177,178,178,178,189,189,189,
169,169,169,155,155,155,155,155,155,154,154,154,156,156,156,159,159,159,170,170,
170,221,221,221,208,208,208,167,167,167,167,167,167,174,174,174,195,195,195,236,
239,242,207,228,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,189,218,255,190,
218,255,203,225,255,237,240,245,185,186,186,167,167,167,168,168,168,169,169,169,
170,170,170,170,170,170,171,171,171,171,171,171,172,172,172,172,172,172,173,173,
173,173,173,173,175,175,175,173,173,173,173,173,173,173,173,173,172,172,172,171,
171,171,168,168,168,169,169,169,168,168,168,167,167,167,166,166,166,165,165,165,
163,163,163,162,162,162,161,161,161,160,160,160,159,159,159,157,157,157,154,154,
154,207,207,207,228,239,254,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,196,221,254,204,226,254,215,232,254,227,238,254,240,245,251,245,246,247,
238,238,238,179,179,179,158,158,158,162,162,162,163,163,163,165,165,165,167,167,
167,168,168,168,171,171,171,174,174,174,184,184,184,160,160,160,147,147,147,147,
147,147,145,145,145,147,147,147,152,152,152,168,168,168,225,226,226,213,213,213,
200,200,200,217,217,217,231,231,233,239,242,246,232,241,253,200,223,254,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,189,218,255,190,218,255,203,225,255,237,240,
245,186,186,186,167,167,167,167,167,167,169,169,169,169,169,169,170,170,170,171,
171,171,171,171,171,171,171,171,172,172,172,173,173,173,173,173,173,174,174,174,
172,172,172,172,172,172,173,173,173,172,172,172,170,170,170,169,169,169,168,168,
168,167,167,167,166,166,166,165,165,165,164,164,164,164,164,164,163,163,163,160,
160,160,161,161,161,159,159,159,158,158,158,156,156,156,207,208,208,228,240,254,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,192,219,255,195,221,
255,205,226,254,221,235,254,237,244,253,247,248,251,227,227,227,157,157,157,142,
142,142,149,149,149,155,155,155,160,160,160,161,161,161,163,163,163,164,164,164,
168,168,168,177,177,177,151,151,151,140,140,140,138,138,138,135,135,135,136,136,
136,142,142,142,165,165,165,232,232,232,239,241,243,238,243,250,232,241,253,220,
235,254,208,228,255,197,222,254,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,189,218,255,190,218,255,203,225,255,238,241,246,187,187,187,167,167,167,
168,168,168,169,169,169,169,169,169,169,169,169,170,170,170,171,171,171,171,171,
171,171,171,171,172,172,172,173,173,173,174,174,174,173,173,173,172,172,172,172,
172,172,171,171,171,171,171,171,171,171,171,169,169,169,168,168,168,167,167,167,
165,165,165,163,163,163,164,164,164,162,162,162,159,159,159,160,160,160,158,158,
158,157,157,157,156,156,156,209,209,209,228,240,254,190,218,255,190,218,255,194,
220,255,202,224,255,214,231,255,228,239,255,239,245,254,244,247,251,236,236,237,
217,217,217,191,191,191,154,154,154,115,115,115,106,106,106,102,102,102,108,108,
108,124,124,124,139,139,139,150,150,150,155,155,155,163,163,163,170,170,170,142,
142,142,131,131,131,129,129,129,129,129,129,143,143,143,151,151,151,185,185,185,
240,242,244,220,234,255,201,224,255,194,220,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,189,218,255,190,218,
255,201,224,255,240,244,249,190,190,190,166,166,166,167,167,167,168,168,168,168,
168,168,169,169,169,170,170,170,170,170,170,171,171,171,172,172,172,173,173,173,
173,173,173,173,173,173,174,174,174,173,173,173,173,173,173,171,171,171,170,170,
170,170,170,170,169,169,169,168,168,168,166,166,166,166,166,166,165,165,165,164,
164,164,162,162,162,161,161,161,161,161,161,159,159,159,157,157,157,154,154,154,
208,208,208,229,240,254,206,227,255,223,236,255,236,244,254,242,246,251,242,243,
245,231,231,232,217,217,217,204,204,205,186,186,186,179,179,179,174,174,174,160,
160,160,140,140,140,114,114,114,75,75,75,44,44,44,35,35,35,40,40,40,64,64,64,89,
89,89,119,119,119,136,136,136,105,105,105,89,89,89,80,80,80,90,90,90,169,170,
170,227,227,228,244,244,245,245,248,254,206,227,255,192,219,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,189,218,255,190,218,255,199,223,255,241,245,251,192,192,192,166,166,166,
166,166,166,167,167,167,168,168,168,169,169,169,170,170,170,170,170,170,170,170,
170,171,171,171,172,172,172,172,172,172,173,173,173,175,175,175,174,174,174,172,
172,172,172,172,172,170,170,170,170,170,170,169,169,169,167,167,167,165,165,165,
165,165,165,165,165,165,163,163,163,162,162,162,163,163,163,163,163,163,167,167,
167,176,176,176,189,189,189,227,227,228,228,239,254,225,238,255,246,247,249,235,
235,235,216,216,216,197,197,197,179,179,179,178,178,178,191,191,191,193,193,193,
191,191,191,185,185,185,179,179,179,173,173,173,164,164,164,149,149,149,130,130,
130,103,103,103,68,68,68,50,50,50,30,30,30,28,28,28,33,33,33,17,17,17,10,10,10,
10,10,10,25,25,25,108,108,109,199,199,199,234,234,235,245,246,248,237,244,252,
228,239,254,219,234,255,210,228,255,199,223,255,191,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,189,218,255,190,218,255,197,222,255,241,246,
252,212,212,213,177,177,177,167,167,167,167,167,167,168,168,168,169,169,169,169,
169,169,169,169,169,170,170,170,171,171,171,171,171,171,172,172,172,173,173,173,
175,175,175,173,173,173,171,171,171,171,171,171,170,170,170,169,169,169,169,169,
169,168,168,168,166,166,166,166,166,166,166,166,166,165,165,165,174,174,174,190,
190,190,207,207,208,225,226,226,238,238,240,240,243,248,234,242,254,212,230,255,
223,237,255,250,251,252,241,241,241,226,226,227,214,214,214,192,192,192,172,172,
172,171,171,171,177,177,177,182,182,182,187,187,187,191,191,191,190,190,190,185,
185,185,184,184,184,181,181,181,177,177,177,173,173,173,165,165,165,146,146,146,
123,123,123,88,88,88,52,52,52,46,46,46,61,61,61,83,83,83,107,107,107,138,138,
138,160,160,160,184,184,184,210,210,210,226,226,226,237,237,238,245,247,250,241,
247,254,209,228,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,189,
218,255,190,218,255,194,220,254,228,239,254,245,248,252,235,236,237,218,218,219,
198,198,198,182,182,182,173,173,173,169,169,169,169,169,169,170,170,170,171,171,
171,171,171,171,171,171,171,172,172,172,173,173,173,172,172,172,170,170,170,170,
170,170,170,170,170,170,170,170,169,169,169,170,170,170,176,176,176,186,186,186,
202,202,202,219,220,220,234,235,235,242,245,248,238,245,254,227,238,255,214,231,
254,202,224,254,194,220,255,190,218,255,198,222,255,214,231,255,229,240,255,240,
246,255,247,250,254,245,245,246,233,233,234,216,216,216,196,196,196,176,176,176,
166,166,166,169,169,169,177,177,177,185,185,185,195,195,195,199,199,199,197,197,
197,200,200,200,200,200,200,187,187,187,157,157,157,124,124,124,107,107,107,122,
122,122,138,138,138,147,147,147,152,152,152,157,157,157,160,160,160,166,166,166,
171,171,171,185,185,185,207,207,207,231,231,231,247,248,249,214,231,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,189,218,255,190,218,255,190,218,
255,193,219,254,205,226,255,219,234,255,232,241,254,241,244,250,237,238,240,223,
224,224,205,205,205,187,187,187,176,176,176,170,170,170,170,170,170,170,170,170,
166,166,166,166,166,166,167,167,167,167,167,167,168,168,168,175,175,175,189,189,
189,203,203,203,219,219,219,232,233,234,240,242,245,239,244,250,230,240,253,219,
234,254,207,228,254,197,222,255,192,219,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,192,219,255,195,220,255,205,226,255,218,234,
255,231,241,254,242,246,253,246,247,249,226,226,226,187,187,187,183,183,183,180,
180,180,176,176,176,177,177,177,181,181,181,186,186,186,192,192,192,168,168,168,
133,133,133,119,119,119,125,125,125,142,142,142,161,161,161,171,171,171,174,174,
174,178,178,178,184,184,184,185,185,185,194,194,194,213,213,214,231,231,231,242,
243,244,245,248,251,237,244,254,205,226,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,189,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,194,220,255,203,225,255,216,232,255,230,240,254,241,245,252,241,242,
244,228,229,229,210,210,210,193,193,193,177,177,177,165,165,165,162,162,162,174,
174,174,188,188,189,207,208,208,227,228,228,241,242,244,238,243,250,233,242,254,
221,235,255,209,228,255,199,223,254,193,220,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,194,220,255,199,223,255,
224,237,254,208,209,210,117,117,117,124,124,124,154,154,154,211,212,212,224,224,
224,210,210,210,191,191,191,182,182,182,168,168,168,164,164,164,176,176,176,183,
183,183,186,186,186,187,187,187,192,192,192,195,195,195,195,195,195,190,190,190,
179,179,179,197,197,197,243,244,246,237,245,254,222,236,255,207,227,255,196,221,
255,191,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,189,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,191,219,255,199,223,255,211,229,255,228,239,255,241,247,254,
244,246,248,234,234,234,219,219,219,221,221,221,237,238,239,241,244,248,240,246,
254,227,239,254,211,229,255,199,222,255,193,219,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,215,231,253,194,195,197,65,
65,65,44,44,44,65,65,65,204,204,204,245,249,255,248,250,254,246,246,247,240,
240,241,229,229,229,218,218,218,211,211,211,206,206,206,207,207,207,212,212,212,
225,225,225,221,221,221,151,151,151,114,114,114,133,133,133,179,179,179,235,241,
247,202,225,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,189,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,191,218,255,197,222,255,210,229,255,223,237,254,229,239,
252,226,238,253,216,232,254,204,226,254,196,221,254,191,218,254,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,215,232,253,200,202,203,81,81,81,48,48,48,55,55,55,208,208,
209,218,234,255,207,227,255,216,232,255,229,239,255,240,246,253,246,249,252,244,
245,246,239,239,239,241,241,242,244,246,248,246,249,253,231,232,232,91,91,91,59,
59,59,137,137,137,191,191,192,236,242,249,198,222,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
189,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,191,219,255,194,220,254,193,219,254,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,215,232,254,214,216,
217,123,123,123,74,74,74,64,64,64,213,213,213,212,231,255,190,218,255,190,218,
255,193,219,255,197,222,255,207,227,255,219,234,255,226,238,255,225,238,255,215,
232,255,214,231,254,227,230,233,89,89,89,66,66,66,150,150,150,201,201,202,237,
243,251,197,222,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,189,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,216,233,254,219,220,221,144,144,144,89,89,89,73,73,73,
218,218,218,211,230,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,200,223,254,226,229,232,91,
91,91,73,73,73,155,155,155,207,207,208,237,244,252,196,221,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,189,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,216,233,254,
219,220,222,145,145,145,90,90,90,81,81,81,223,223,223,210,229,254,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,200,223,254,227,229,233,94,94,94,80,80,80,161,161,161,211,211,
212,236,243,253,194,220,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,189,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,216,232,254,220,221,223,149,149,149,94,94,94,83,
83,83,222,222,223,208,228,254,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,201,224,254,229,231,
235,105,105,105,93,93,93,169,169,169,214,214,214,235,243,253,192,219,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,189,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
216,232,254,219,220,222,149,149,149,98,98,98,89,89,89,222,223,224,208,228,254,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,203,225,255,234,236,238,131,131,131,120,120,120,175,
175,175,215,215,215,235,243,253,192,219,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,189,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,216,232,254,218,219,221,147,147,
147,108,108,108,105,105,105,225,226,227,207,227,254,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
204,226,255,237,238,240,159,159,159,152,152,152,182,182,182,217,217,218,236,243,
254,192,219,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,189,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,216,232,254,218,220,221,148,148,148,123,123,123,121,121,121,
226,227,229,206,227,254,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,206,227,255,235,237,239,166,
166,166,163,163,163,184,184,184,220,220,220,235,243,255,191,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,189,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,217,233,
254,217,218,220,145,145,145,136,136,136,132,132,132,227,228,229,206,227,254,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,206,227,255,234,236,238,166,166,166,165,165,165,185,185,
185,221,221,222,233,242,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,189,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,219,234,253,212,213,214,135,135,135,
140,140,140,140,140,140,229,230,232,206,227,254,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,206,
227,255,233,236,238,166,166,166,167,167,167,188,188,188,222,223,223,231,241,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,189,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,195,220,
255,213,231,255,238,245,252,202,203,203,126,126,126,136,136,136,143,143,143,229,
230,232,206,227,254,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,208,228,255,234,235,237,166,166,
167,167,167,167,188,188,188,223,223,223,230,240,254,190,218,254,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,189,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,191,218,255,204,226,255,229,240,254,244,246,250,225,226,226,
179,179,179,142,142,142,147,147,147,146,146,146,229,230,232,207,227,254,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,210,229,255,231,233,235,164,164,164,165,165,165,189,189,189,
224,225,225,229,240,254,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,189,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,194,220,255,218,234,
255,242,247,254,243,243,243,211,211,211,179,179,179,160,160,160,156,156,156,155,
155,155,151,151,151,231,232,234,206,226,254,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,213,230,
255,228,229,232,160,160,160,166,166,166,191,191,191,226,227,227,228,240,254,190,
218,254,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,189,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,192,219,255,208,228,255,231,241,254,247,249,251,229,229,229,200,200,200,
174,174,174,162,162,162,158,158,158,161,161,161,170,170,170,184,184,184,236,237,
240,205,226,253,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,213,231,255,223,225,227,153,153,154,
162,162,162,190,190,190,227,228,229,226,238,254,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,189,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,199,223,255,222,235,255,242,246,
253,241,241,242,217,217,217,188,188,188,171,171,171,165,165,165,170,170,170,189,
189,189,214,214,214,232,232,234,239,242,246,233,241,253,200,223,254,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,217,233,255,218,219,221,141,141,141,158,158,158,190,190,190,228,
229,229,224,236,254,190,218,254,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,189,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,197,222,255,230,241,254,247,249,251,232,232,232,206,206,206,181,181,181,
177,177,177,188,188,188,209,209,209,230,231,231,242,244,247,239,245,254,223,236,
255,208,229,255,197,222,254,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,192,219,255,209,229,255,237,244,254,
212,212,213,128,128,128,151,151,151,190,190,190,228,229,230,222,236,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,189,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,191,218,255,214,231,255,250,252,
253,239,240,240,214,214,214,200,200,200,208,208,208,230,230,230,244,245,247,243,
248,254,228,239,255,211,229,255,197,222,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,198,222,255,220,235,255,244,248,254,237,237,237,197,197,197,157,157,157,169,
169,169,192,192,192,229,229,230,222,236,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
189,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,191,218,255,217,233,255,250,252,254,247,247,247,241,241,242,
242,243,245,241,245,251,231,241,254,214,231,255,200,223,255,192,219,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,191,219,255,208,228,255,233,242,255,245,246,249,
228,228,228,200,200,200,186,186,186,185,185,185,188,188,188,193,193,194,230,231,
232,221,236,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,189,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,196,221,255,215,232,255,227,239,255,229,240,255,217,233,255,203,225,255,194,
220,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,196,221,
255,218,234,255,242,247,254,243,243,244,221,221,221,200,200,200,189,189,189,189,
189,189,189,189,189,191,191,191,202,202,202,235,236,238,218,234,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,189,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
191,218,255,192,219,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,205,226,255,230,241,255,249,251,253,237,237,237,
216,216,216,199,199,199,193,193,193,189,189,189,193,193,193,205,205,205,225,225,
225,241,241,242,245,248,253,211,230,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,189,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,191,219,255,213,231,
255,241,246,255,247,247,248,232,232,232,212,212,212,199,199,199,194,194,194,200,
200,200,215,215,215,232,232,232,245,246,247,242,247,254,227,239,254,210,229,255,
194,220,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,189,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,204,226,255,241,247,254,247,247,248,232,232,232,
214,214,214,206,206,206,209,209,209,224,224,224,240,240,241,245,247,251,235,243,
254,218,233,255,202,224,255,192,219,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,189,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,219,234,255,252,253,254,246,246,246,234,234,234,228,228,228,235,235,235,247,
247,248,243,248,254,226,238,255,209,229,255,196,221,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,189,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,213,231,255,242,248,254,
252,252,253,250,250,251,248,250,253,236,244,255,220,234,255,201,224,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,189,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,192,219,255,201,224,255,215,232,255,218,233,255,209,
228,255,196,221,255,191,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,189,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,189,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,189,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,217,255,189,217,255,189,217,255,189,217,255,189,217,255,189,217,
255,189,217,255,189,217,255,189,217,255,189,217,255,189,217,255,189,217,255,189,
217,255,189,217,255,189,217,255,189,217,255,189,217,255,189,217,255,189,217,255,
189,217,255,189,217,255,189,217,255,189,217,255,189,217,255,189,217,255,189,217,
255,189,217,255,189,217,255,189,217,255,189,217,255,189,217,255,189,217,255,189,
217,255,189,217,255,189,217,255,189,217,255,189,217,255,189,217,255,189,217,255,
189,217,255,189,217,255,189,217,255,189,217,255,189,217,255,189,217,255,189,217,
255,189,217,255,189,217,255,189,217,255,189,217,255,189,217,255,189,217,255,189,
217,255,189,217,255,189,217,255,189,217,255,189,217,255,189,217,255,189,217,255,
189,217,255,189,217,255,189,217,255,189,217,255,189,217,255,189,217,255,189,217,
255,189,217,255,189,217,255,189,217,255,189,217,255,189,217,255,189,217,255,189,
217,255,189,217,255,189,217,255,189,217,255,189,217,255,189,217,255,189,217,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,236,244,255,243,248,255,193,220,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,228,240,
255,248,251,255,196,221,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,236,244,255,248,251,255,196,221,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,240,247,255,242,248,255,199,223,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,236,244,255,248,251,255,196,
221,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,236,244,255,
248,251,255,196,221,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,238,246,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,252,253,255,206,227,255,190,218,255,
190,218,255,190,218,255,190,218,255,239,246,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,250,
252,255,197,222,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
236,244,255,243,248,255,194,220,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,228,239,255,249,251,255,196,221,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,249,252,255,197,222,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,236,244,255,248,251,255,196,222,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,236,244,255,248,251,255,196,221,255,190,218,
255,190,218,255,190,218,255,237,245,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,236,244,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,238,246,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,252,253,255,206,227,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,239,246,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,250,
252,255,198,222,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,255,255,255,255,255,255,225,238,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,208,228,255,255,255,255,255,255,255,208,228,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,255,255,255,255,255,
255,208,228,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,255,
255,255,255,255,255,251,253,255,207,228,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,255,255,255,255,255,255,208,228,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,255,255,255,255,255,255,208,228,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,217,234,255,190,218,255,190,218,255,190,218,255,190,
218,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,208,228,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,255,255,255,255,255,255,226,
239,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,208,228,255,
255,255,255,255,255,255,208,228,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,208,228,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,255,255,255,255,255,
255,208,228,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,255,255,255,255,255,255,208,228,255,190,218,255,190,218,255,190,218,255,
250,252,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,250,252,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,217,234,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,208,228,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,255,255,255,
255,255,255,254,254,255,200,224,255,190,218,255,190,218,255,190,218,255,192,219,
255,245,249,255,255,255,255,255,255,255,208,228,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,255,255,255,255,255,255,208,228,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,255,255,255,255,255,255,255,255,
255,254,254,255,218,234,255,190,218,255,190,218,255,190,218,255,190,218,255,255,
255,255,255,255,255,208,228,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,255,255,255,255,255,255,208,228,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,255,255,255,255,255,255,226,239,255,215,233,255,215,
233,255,215,233,255,215,233,255,215,233,255,215,233,255,215,233,255,213,231,255,
192,219,255,190,218,255,190,218,255,190,218,255,190,218,255,255,255,255,255,255,
255,226,239,255,215,233,255,215,233,255,215,233,255,215,233,255,215,233,255,215,
233,255,255,255,255,255,255,255,208,228,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,255,255,255,255,255,255,254,254,255,201,224,255,190,218,
255,190,218,255,190,218,255,192,219,255,245,249,255,255,255,255,255,255,255,208,
228,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,255,255,255,
255,255,255,226,239,255,215,233,255,215,233,255,215,233,255,215,233,255,215,233,
255,215,233,255,255,255,255,255,255,255,208,228,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,255,255,255,255,255,255,208,228,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,255,255,255,255,255,
255,208,228,255,190,218,255,190,218,255,190,218,255,201,224,255,215,232,255,215,
233,255,215,233,255,226,239,255,255,255,255,255,255,255,215,233,255,215,233,255,
215,233,255,203,225,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,255,255,255,255,255,255,226,239,255,215,233,255,215,233,255,215,
233,255,215,233,255,215,233,255,215,233,255,215,233,255,213,231,255,192,219,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,255,255,255,255,255,
255,226,239,255,215,233,255,215,233,255,215,233,255,215,233,255,215,233,255,215,
233,255,255,255,255,255,255,255,208,228,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,255,255,255,255,255,255,255,255,255,238,
245,255,190,218,255,190,218,255,190,218,255,221,236,255,255,255,255,255,255,255,
255,255,255,208,228,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,255,255,255,255,255,255,208,228,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,255,255,255,255,255,255,252,253,255,255,255,255,255,255,255,
229,240,255,191,219,255,190,218,255,190,218,255,255,255,255,255,255,255,208,228,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,255,255,255,255,
255,255,208,228,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
255,255,255,255,255,255,208,228,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,255,255,255,255,255,255,208,228,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,255,255,255,255,255,
255,208,228,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,255,
255,255,255,255,255,255,255,255,239,246,255,190,218,255,190,218,255,190,218,255,
221,236,255,255,255,255,255,255,255,255,255,255,208,228,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,255,255,255,255,255,255,208,228,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,255,255,255,
255,255,255,208,228,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,255,255,255,255,255,255,208,228,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,255,255,255,255,255,255,208,228,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,208,228,
255,255,255,255,255,255,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,255,255,255,
255,255,255,226,239,255,215,233,255,215,233,255,215,233,255,215,233,255,215,233,
255,215,233,255,215,233,255,212,231,255,191,219,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,255,255,255,255,255,255,226,239,255,215,233,255,
215,233,255,215,233,255,215,233,255,215,233,255,215,233,255,255,255,255,255,255,
255,208,228,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,255,255,255,255,255,255,255,255,255,255,255,255,212,231,255,190,218,
255,198,222,255,252,254,255,255,255,255,255,255,255,255,255,255,208,228,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,255,255,255,255,255,255,
208,228,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,255,255,
255,255,255,255,212,231,255,236,244,255,255,255,255,255,255,255,239,246,255,195,
221,255,190,218,255,255,255,255,255,255,255,208,228,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,255,255,255,255,255,255,208,228,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,255,255,255,255,255,255,208,
228,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,255,255,255,255,255,255,208,228,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,255,255,255,255,255,255,208,228,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,255,255,255,255,255,255,255,255,
255,255,255,255,213,231,255,190,218,255,197,222,255,252,254,255,255,255,255,255,
255,255,255,255,255,208,228,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,208,228,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,255,255,255,255,255,255,
208,228,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,255,255,255,255,255,255,208,228,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,208,228,255,255,255,255,255,255,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,217,233,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,208,228,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,255,255,255,255,
255,255,248,251,255,255,255,255,248,251,255,193,220,255,235,244,255,255,255,255,
248,251,255,255,255,255,255,255,255,208,228,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,255,255,255,255,255,255,208,228,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,255,255,255,255,255,255,208,228,255,
191,218,255,225,238,255,255,255,255,255,255,255,246,250,255,201,224,255,255,255,
255,255,255,255,208,228,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,255,255,255,255,255,255,208,228,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,255,255,255,255,255,255,208,228,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,255,255,255,255,255,255,
208,228,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,255,255,255,255,255,255,208,228,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,255,255,255,255,255,255,248,251,255,255,255,255,249,251,255,
193,220,255,234,243,255,255,255,255,248,251,255,255,255,255,255,255,255,208,228,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,204,226,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,255,255,255,255,255,255,208,228,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,255,255,255,255,255,255,
208,228,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,208,228,255,255,255,255,255,255,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,252,254,255,207,227,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,250,252,255,198,222,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,255,255,255,255,255,255,215,232,255,252,253,
255,255,255,255,239,246,255,255,255,255,255,255,255,212,230,255,255,255,255,255,
255,255,208,228,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
255,255,255,255,255,255,208,228,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,255,255,255,255,255,255,208,228,255,190,218,255,190,218,255,214,
232,255,253,254,255,255,255,255,252,253,255,255,255,255,255,255,255,208,228,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,255,255,255,255,255,
255,208,228,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,255,
255,255,255,255,255,208,228,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,255,255,255,255,255,255,208,228,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,255,255,255,255,255,255,
208,228,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,255,255,
255,255,255,255,215,232,255,251,253,255,255,255,255,239,246,255,255,255,255,255,
255,255,211,230,255,255,255,255,255,255,255,208,228,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,255,255,255,255,255,255,226,239,255,215,233,
255,215,233,255,215,233,255,215,233,255,215,233,255,215,233,255,215,233,255,210,
229,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
255,255,255,255,255,255,208,228,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,255,255,255,255,255,255,208,228,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,208,228,255,
255,255,255,255,255,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,255,255,255,255,
255,255,208,228,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,255,255,255,255,255,255,242,248,255,254,255,255,255,
255,255,255,255,255,255,255,255,240,246,255,211,230,255,191,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,255,255,255,255,255,255,208,228,255,218,234,255,255,255,255,255,255,255,
255,255,255,236,244,255,190,218,255,255,255,255,255,255,255,208,228,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,255,255,255,255,255,255,208,
228,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,255,255,255,
255,255,255,208,228,255,190,218,255,190,218,255,190,218,255,204,226,255,249,252,
255,255,255,255,255,255,255,255,255,255,208,228,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,255,255,255,255,255,255,208,228,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,255,255,255,255,255,255,226,239,
255,215,233,255,215,233,255,215,233,255,215,233,255,215,233,255,215,233,255,215,
233,255,212,231,255,191,219,255,190,218,255,190,218,255,190,218,255,190,218,255,
255,255,255,255,255,255,226,239,255,215,233,255,215,233,255,215,233,255,215,233,
255,215,233,255,215,233,255,255,255,255,255,255,255,208,228,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,255,255,255,255,255,255,208,228,255,
218,234,255,255,255,255,255,255,255,255,255,255,236,244,255,190,218,255,255,255,
255,255,255,255,208,228,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,255,255,255,255,255,255,208,228,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,255,255,255,255,255,255,226,
239,255,215,233,255,215,233,255,215,233,255,215,233,255,215,233,255,215,233,255,
255,255,255,255,255,255,208,228,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,208,228,255,255,255,255,255,255,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,255,255,255,255,255,255,226,239,255,215,233,
255,215,233,255,215,233,255,215,233,255,215,233,255,215,233,255,215,233,255,212,
231,255,191,219,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
255,255,255,255,255,255,208,228,255,198,222,255,226,239,255,251,253,255,255,255,
255,255,255,255,255,255,255,247,250,255,217,234,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,255,255,255,255,255,
255,208,228,255,191,218,255,242,248,255,255,255,255,253,254,255,198,223,255,190,
218,255,255,255,255,255,255,255,208,228,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,255,255,255,255,255,255,208,228,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,255,255,255,255,255,255,208,228,255,190,
218,255,190,218,255,190,218,255,190,218,255,197,222,255,242,247,255,255,255,255,
255,255,255,208,228,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,255,255,255,255,255,255,208,228,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,217,234,
255,190,218,255,190,218,255,190,218,255,190,218,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,208,228,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,255,255,255,255,255,255,208,228,255,191,218,255,242,247,255,255,
255,255,252,254,255,198,222,255,190,218,255,255,255,255,255,255,255,208,228,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,255,255,255,255,255,
255,208,228,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,208,
228,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,208,228,255,255,255,255,255,255,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,217,234,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,255,255,255,255,255,255,208,
228,255,190,218,255,190,218,255,194,220,255,219,235,255,247,251,255,255,255,255,
255,255,255,255,255,255,205,226,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,237,245,255,248,251,255,196,222,255,190,218,255,
202,225,255,250,252,255,218,234,255,190,218,255,190,218,255,237,245,255,248,251,
255,196,222,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,236,
244,255,248,251,255,196,221,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,236,244,255,248,251,255,196,222,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,192,219,255,230,241,255,250,252,255,198,222,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,236,244,255,248,251,255,
196,221,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,239,246,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,252,254,255,207,227,255,190,218,255,190,218,255,
190,218,255,190,218,255,239,246,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,250,252,255,197,
222,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,237,245,255,
248,251,255,197,222,255,190,218,255,202,225,255,250,252,255,217,233,255,190,218,
255,190,218,255,237,245,255,248,251,255,196,222,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,236,244,255,248,251,255,197,222,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,239,
246,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,255,255,255,255,250,252,255,197,222,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,196,222,255,248,
251,255,236,244,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,239,246,255,255,255,
255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,
255,255,255,255,255,252,254,255,207,227,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,236,244,255,247,251,255,196,221,255,190,218,255,190,218,
255,190,218,255,190,218,255,191,218,255,212,230,255,240,247,255,247,251,255,195,
221,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,
190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,
255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,218,255,190,
218,255};

#endif
